Subject: [NEXTEL-1] Rental Car Fleets Slowly Embrace Hot Tech Gadgets

From: [email-masked]
Date: Wed, 21 May 2003 18:18:50 -0400

Rental Car Fleets Slowly Embrace Hot Tech Gadgets

Navigation systems and satellite radio, two of the hottest technology
features for autos, are crawling into rental car fleets at an old
clunker's pace.

Link to story on Wireless NewsFactor:

http://www.wirelessnewsfactor.com/perl/story/21557.html

------------------------ Yahoo! Groups Sponsor ---------------------~-->
Get A Free Psychic Reading! Your Online Answer To Life's Important Questions.
http://us.click.yahoo.com/Lj3uPC/Me7FAA/uetFAA/61FxlB/TM
---------------------------------------------------------------------~->

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/